For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet code count
      • GETGet voucher for a contact
      • GETGet Reward Page API
      • POSTCreate a reward
      • GETGet reward information
      • POSTCreate a voucher
      • POSTCreate redeem voucher request
      • POSTComplete redeem voucher request
      • DELRevoke vouchers
      • POSTValidate a reward
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyReward

Get Reward Page API

GET
https://api.brevo.com/v3/loyalty/offer/programs/:pid/offers
GET
/v3/loyalty/offer/programs/:pid/offers
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.reward.getRewardPageApi("pid", {});
8}
9main();
1{
2 "items": [
3 {
4 "createdAt": "2024-01-15T09:30:00Z",
5 "endDate": "2024-01-15T09:30:00Z",
6 "id": "string",
7 "loyaltyProgramId": "string",
8 "name": "string",
9 "publicImage": "string",
10 "startDate": "2024-01-15T09:30:00Z",
11 "state": "string",
12 "updatedAt": "2024-01-15T09:30:00Z"
13 }
14 ],
15 "totalCount": 1
16}
Returns a reward page
Was this page helpful?
Previous

Create a reward

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Query parameters

limitintegerOptional1-100Defaults to 25
Page size
offsetintegerOptionalDefaults to 0
Pagination offset
statestringOptionalDefaults to all
State of the reward
versionenumOptionalDefaults to draft
Version
Allowed values:

Response

Reward list successfully retrieved
itemslist of objects
Items for the current reward
totalCountinteger
Count of the associated parameter in current reward

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
424
Failed Dependency Error
500
Internal Server Error